net.minecraftforge.fluids

## Class FluidRegistry

- java.lang.Object
- - net.minecraftforge.fluids.FluidRegistry

-     public abstract class FluidRegistry
      extends Object

  Handles Fluid registrations. Fluids MUST be registered in order to function.
  Author:
    King Lemming, CovertJaguar (LiquidDictionary)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FluidRegistry.FluidRegisterEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Fluid` | `LAVA`
    `static int` | `renderIdFluid`
    `static Fluid` | `WATER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Fluid` | `getFluid(int fluidID)`
    `static Fluid` | `getFluid(String fluidName)`
    `static int` | `getFluidID(String fluidName)`
    `static String` | `getFluidName(FluidStack stack)`
    `static String` | `getFluidName(int fluidID)`
    `static FluidStack` | `getFluidStack(String fluidName, int amount)`
    `static Map<String,Integer>` | `getRegisteredFluidIDs()` Returns a read-only map containing Fluid Names and their associated IDs.
    `static Map<String,Fluid>` | `getRegisteredFluids()` Returns a read-only map containing Fluid Names and their associated Fluids.
    `static boolean` | `isFluidRegistered(Fluid fluid)`
    `static boolean` | `isFluidRegistered(String fluidName)`
    `static Fluid` | `lookupFluidForBlock(Block block)`
    `static boolean` | `registerFluid(Fluid fluid)` Register a new Fluid.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WATER

          public static final Fluid WATER

    - #### LAVA

          public static final Fluid LAVA

    - #### renderIdFluid

          public static int renderIdFluid

  - ### Method Detail

    - #### registerFluid

          public static boolean registerFluid(Fluid fluid)

      Register a new Fluid. If a fluid with the same name already exists, registration is denied.
      Parameters:
        `fluid` - The fluid to register.
      Returns:
        True if the fluid was successfully registered; false if there is a name clash.

    - #### isFluidRegistered

          public static boolean isFluidRegistered(Fluid fluid)

    - #### isFluidRegistered

          public static boolean isFluidRegistered(String fluidName)

    - #### getFluid

          public static Fluid getFluid(String fluidName)

    - #### getFluid

          public static Fluid getFluid(int fluidID)

    - #### getFluidName

          public static String getFluidName(int fluidID)

    - #### getFluidName

          public static String getFluidName(FluidStack stack)

    - #### getFluidID

          public static int getFluidID(String fluidName)

    - #### getFluidStack

          public static FluidStack getFluidStack(String fluidName,
                                 int amount)

    - #### getRegisteredFluids

          public static Map<String,Fluid> getRegisteredFluids()

      Returns a read-only map containing Fluid Names and their associated Fluids.

    - #### getRegisteredFluidIDs

          public static Map<String,Integer> getRegisteredFluidIDs()

      Returns a read-only map containing Fluid Names and their associated IDs.

    - #### lookupFluidForBlock

          public static Fluid lookupFluidForBlock(Block block)